## HTTPClient
Class SocksException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  HTTPClient.SocksException

All Implemented Interfaces:
  Serializable

public class SocksException
extends IOException

Signals that an error was received while trying to set up a connection with the Socks server.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`SocksException()` Constructs a SocksException with no detail message.
`SocksException(String s)` Constructs a SocksException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SocksException

    public SocksException()

  Constructs a SocksException with no detail message. A detail message is a String that describes this particular exception.

### SocksException

    public SocksException(String s)

  Constructs a SocksException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the String containing a detail message